Bug 86937 - Web Inspector: make search results view more dense
: Web Inspector: make search results view more dense
Status: RESOLVED FIXED
: WebKit
Web Inspector (Deprecated)
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-05-18 23:16 PST by
Modified: 2012-05-21 01:35 PST (History)


Attachments
[IMAGE] Screenshot with patch applied. (129.83 KB, image/png)
2012-05-18 23:18 PST, Pavel Feldman
no flags Details
Patch (6.31 KB, patch)
2012-05-18 23:23 PST, Pavel Feldman
no flags Review Patch | Details | Formatted Diff | Diff
Patch (7.48 KB, patch)
2012-05-19 00:55 PST, Pavel Feldman
no flags Review Patch | Details | Formatted Diff | Diff
[Patch] Same with closing search on panel switch (8.76 KB, patch)
2012-05-19 01:37 PST, Pavel Feldman
no flags Review Patch | Details | Formatted Diff | Diff
[IMAGE] Screenshot with patch applied including new close button. (66.93 KB, image/png)
2012-05-19 03:07 PST, Pavel Feldman
no flags Details
Patch (11.73 KB, patch)
2012-05-19 03:08 PST, Pavel Feldman
no flags Review Patch | Details | Formatted Diff | Diff
[Patch] Same with onclose notification (16.23 KB, patch)
2012-05-19 06:00 PST, Pavel Feldman
yurys: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-05-18 23:16:52 PST
See the screenshot.
------- Comment #1 From 2012-05-18 23:18:46 PST -------
Created an attachment (id=142852) [details]
[IMAGE] Screenshot with patch applied.
------- Comment #2 From 2012-05-18 23:23:45 PST -------
Created an attachment (id=142853) [details]
Patch
------- Comment #3 From 2012-05-19 00:55:27 PST -------
Created an attachment (id=142855) [details]
Patch
------- Comment #4 From 2012-05-19 01:37:45 PST -------
Created an attachment (id=142857) [details]
[Patch] Same with closing search on panel switch
------- Comment #5 From 2012-05-19 03:07:28 PST -------
Created an attachment (id=142859) [details]
[IMAGE] Screenshot with patch applied including new close button.
------- Comment #6 From 2012-05-19 03:08:43 PST -------
Created an attachment (id=142860) [details]
Patch
------- Comment #7 From 2012-05-19 06:00:39 PST -------
Created an attachment (id=142864) [details]
[Patch] Same with onclose notification
------- Comment #8 From 2012-05-21 00:11:33 PST -------
(From update of attachment 142864 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=142864&action=review

> Source/WebCore/inspector/front-end/inspector.js:164
> +            document.getElementById("main-status-bar").removeChild(this._drawerStatusBarHeader);

This 5 lines are repeated twice, please extract a method.
------- Comment #9 From 2012-05-21 01:35:54 PST -------
Committed r117746: <http://trac.webkit.org/changeset/117746>